package net.wanji.databus.dao.mapper;

import net.wanji.databus.dao.entity.BaseCrossSchedulesPO;
import net.wanji.databus.dao.entity.BaseCrossSchedulesPlanPO;
import net.wanji.databus.dao.entity.CrossSchedulesPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 调度基础信息;(t_base_cross_schedules)表
 *
 * @author Kent HAN
 * @date 2023/1/28 13:16
 */
@Repository
public interface BaseCrossSchedulesMapper {

    /**
     * 查询调度基础信息列表
     * @param crossId
     * @return
     */
    List<CrossSchedulesPO> listCrossSchedulesInfo(String crossId);

    /**
     * 查询调度计划信息列表
     * @param crossId
     * @param status
     * @return
     */
    List<BaseCrossSchedulesPlanPO> listSchedulesPlan(@Param("crossId") String crossId, @Param("status") Integer status);

    void deleteByCrossId(@Param("crossId") String crossId);

    void insertOne(BaseCrossSchedulesPO crossSchedulesPO);

    List<BaseCrossSchedulesPO> selectByCrossId(@Param("crossId") String crossId);

    BaseCrossSchedulesPO selectByCrossIdAndScheduleNo(@Param("crossId") String crossId,
                                                  @Param("scheduleNo") String scheduleNo);

    void resetStatus(String crossId);

    void updateStatus(Integer scheduleId);

    BaseCrossSchedulesPO selectById(Integer scheduleId);
}
