package net.wanji.databus.dao.mapper;

import net.wanji.databus.po.LaneInfoPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/12/20 10:32
 */
@Repository
public interface LaneInfoMapper {
    // todo 只返回进口车道
    List<LaneInfoPO> selectByCrossIdAndDir(@Param("crossId") String crossId, @Param("dir") Integer dir);

    void deleteByCrossIdAndDir(@Param("crossId") String crossId, @Param("dir") Integer dir);

    void insertBatch(@Param("entities") List<LaneInfoPO> entities);

    List<LaneInfoPO> selectBycrossId(@Param("crossId") String crossId);

    LaneInfoPO selectByCrossIdDirCode(@Param("crossId") String crossId,
                                      @Param("dir") Integer dir,
                                      @Param("code") String code);

    String selectIdByCrossIdDirTurn(@Param("crossId") String crossId,
                                     @Param("dir") Integer dir,
                                     @Param("turn") Integer turn,
                                     @Param("category") Integer category);

    List<LaneInfoPO> selectByLaneIds(@Param("laneIds") List<String> laneIds);

    String selectPreId(String crossId, Integer dir);

    List<LaneInfoPO> listLaneInfo();
}
